### R code from vignette source 'gamma.survey.Rnw'

###################################################
### code chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### code chunk number 2: loadLibrary
###################################################
library(Zelig)
library(survey) 


###################################################
### code chunk number 3: Existing.data
###################################################
data(api, package="survey") 


###################################################
### code chunk number 4: Existing.zelig
###################################################
z.out1 <- zelig(api00 ~ meals + yr.rnd, model = "gamma.survey",  
weights=~pw, data = apistrat)


###################################################
### code chunk number 5: Existing.summary
###################################################
 summary(z.out1)


###################################################
### code chunk number 6: Existing.setx
###################################################
x.low <- setx(z.out1, meals=quantile(apistrat$meals, 0.2)) 
x.high <- setx(z.out1, meals=quantile(apistrat$meals, 0.8)) 


###################################################
### code chunk number 7: Existing.sim
###################################################
 s.out1 <- sim(z.out1, x = x.high, x1 = x.low)


###################################################
### code chunk number 8: Existing.summary.sim
###################################################
 summary(s.out1)


###################################################
### code chunk number 9: ExistingPlot
###################################################
 plot(s.out1)


###################################################
### code chunk number 10: Complex.zelig
###################################################
z.out2 <- zelig(api00 ~ meals + yr.rnd, model = "gamma.survey", strata=~stype, fpc=~fpc, data = apistrat)


###################################################
### code chunk number 11: Complex.output
###################################################
summary(z.out2) 


###################################################
### code chunk number 12: Replicate.rw
###################################################
jk1reps <- jk1weights(psu=apistrat$dnum)


###################################################
### code chunk number 13: Replicate.zelig
###################################################
z.out3 <- zelig(api00 ~ meals + yr.rnd, model = "gamma.survey", data = apistrat, 
repweights=jk1reps$weights, type="JK1") 


###################################################
### code chunk number 14: Replicate.summary
###################################################
 summary(z.out3)


###################################################
### code chunk number 15: Replicate.setx
###################################################
x.low <- setx(z.out3, meals= quantile(apistrat$meals, 0.2))
x.high <- setx(z.out3, meals= quantile(apistrat$meals, 0.8))


###################################################
### code chunk number 16: Replicate.sim
###################################################
s.out3 <- sim(z.out3, x=x.high, x1=x.low)


###################################################
### code chunk number 17: Replicate.summary.sim
###################################################
 summary(s.out3)


###################################################
### code chunk number 18: ReplicatePlot
###################################################
 plot(s.out3)


###################################################
### code chunk number 19: afterpkgs
###################################################
  after<-search()
  torm<-setdiff(after,before)
  for (pkg in torm)
  detach(pos=match(pkg,search()))


