### R code from vignette source 'poisson.survey.Rnw'

###################################################
### code chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### code chunk number 2: loadLibrary
###################################################
library(Zelig)
library(survey) 


###################################################
### code chunk number 3: Existing.data
###################################################
data(api, package="survey") 


###################################################
### code chunk number 4: Existing.zelig
###################################################
z.out1 <- zelig(enroll ~ api99 + yr.rnd , model = "poisson.survey", 
weights=~pw, data = apistrat)


###################################################
### code chunk number 5: Existing.summary
###################################################
 summary(z.out1)


###################################################
### code chunk number 6: Existing.setx
###################################################
x.low <- setx(z.out1, api99= quantile(apistrat$api99, 0.2))
x.high <- setx(z.out1, api99= quantile(apistrat$api99, 0.8))


###################################################
### code chunk number 7: Existing.sim
###################################################
s.out1 <- sim(z.out1, x=x.low, x1=x.high)


###################################################
### code chunk number 8: Existing.summary.sim
###################################################
 summary(s.out1)


###################################################
### code chunk number 9: ExistingPlot
###################################################
 plot(s.out1)


###################################################
### code chunk number 10: Complex.zelig
###################################################
z.out2 <- zelig(enroll ~ api99 + yr.rnd , model = "poisson.survey", data = apistrat, 
  strata=~stype, fpc=~fpc)


###################################################
### code chunk number 11: Complex.output
###################################################
summary(z.out2) 


###################################################
### code chunk number 12: Replicate.data
###################################################
data(scd, package="survey") 


###################################################
### code chunk number 13: Replicate.rw
###################################################
BRRrep<-2*cbind(c(1,0,1,0,1,0),c(1,0,0,1,0,1), c(0,1,1,0,0,1),c(0,1,0,1,1,0)) 


###################################################
### code chunk number 14: Replicate.zelig
###################################################
z.out3 <- zelig(alive ~ arrests , model = "poisson.survey",
repweights=BRRrep, type="BRR", data=scd)
summary(z.out3) 


###################################################
### code chunk number 15: Replicate.summary
###################################################
 summary(z.out3)


###################################################
### code chunk number 16: Replicate.setx
###################################################
x.low <- setx(z.out3, arrests = quantile(scd$arrests, .2))
x.high <- setx(z.out3, arrests = quantile(scd$arrests,.8)) 


###################################################
### code chunk number 17: Replicate.sim
###################################################
s.out3 <- sim(z.out3, x=x.high, x1=x.low)


###################################################
### code chunk number 18: Replicate.summary.sim
###################################################
 summary(s.out3)


###################################################
### code chunk number 19: ReplicatePlot
###################################################
 plot(s.out3)


###################################################
### code chunk number 20: afterpkgs
###################################################
  after<-search()
  torm<-setdiff(after,before)
  for (pkg in torm)
  detach(pos=match(pkg,search()))


