### R code from vignette source 'probit.mixed.Rnw'

###################################################
### code chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### code chunk number 2: loadLibrary
###################################################
library(Zelig)


###################################################
### code chunk number 3: Examples.data
###################################################
data(voteincome)


###################################################
### code chunk number 4: Examples.zelig
###################################################
z.out1 <- zelig(vote ~ education + age + female + tag(1 | state), data=voteincome, model="probit.mixed")


###################################################
### code chunk number 5: Examples.summary
###################################################
summary(z.out1)


###################################################
### code chunk number 6: Examples.setx
###################################################
x.high <- setx(z.out1, education=quantile(voteincome$education, 0.8))
x.low <- setx(z.out1, education=quantile(voteincome$education, 0.2))


###################################################
### code chunk number 7: Examples.sim
###################################################
s.out1 <- sim(z.out1, x=x.high, x1=x.low)
summary(s.out1)


###################################################
### code chunk number 8: afterpkgs
###################################################
 after <- search()
 torm <- setdiff(after,before)
 for (pkg in torm)
 detach(pos=match(pkg,search()))


