### R code from vignette source 'weibull.Rnw'

###################################################
### code chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### code chunk number 2: loadLibrary
###################################################
library(Zelig)


###################################################
### code chunk number 3: Example.data
###################################################
 data(coalition)


###################################################
### code chunk number 4: Example.zelig
###################################################
 z.out <- zelig(Surv(duration, ciep12) ~ fract + numst2, model = "weibull",
                 data = coalition)


###################################################
### code chunk number 5: Example.summary
###################################################
 summary(z.out)


###################################################
### code chunk number 6: Example.setx
###################################################
 x.low <- setx(z.out, numst2 = 0)
 x.high <- setx(z.out, numst2 = 1)


###################################################
### code chunk number 7: Example.sim
###################################################
 s.out <- sim(z.out, x = x.low, x1 = x.high)


###################################################
### code chunk number 8: Example.summary.sim
###################################################
 summary(s.out)


###################################################
### code chunk number 9: ExamplePlot
###################################################
plot(s.out)


###################################################
### code chunk number 10: afterpkgs
###################################################
 after<-search()
 torm<-setdiff(after,before)
 for (pkg in torm)
 detach(pos=match(pkg,search()))


